/api/v1/auth/signup
POST
/api/v1/auth/signup
const url = 'https://example.com/api/v1/auth/signup';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"companyName":"example","firstName":"example","lastName":"example","email":"example","password":"example","confirmPassword":"example","countryCode":"example","planId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/auth/signup \ --header 'Content-Type: application/json' \ --data '{ "companyName": "example", "firstName": "example", "lastName": "example", "email": "example", "password": "example", "confirmPassword": "example", "countryCode": "example", "planId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Request Bodyrequired
Section titled “Request Bodyrequired”object
companyName
string
firstName
string
lastName
string
email
string
password
string
confirmPassword
string
countryCode
string
planId
string format: uuid
Example generated
{ "companyName": "example", "firstName": "example", "lastName": "example", "email": "example", "password": "example", "confirmPassword": "example", "countryCode": "example", "planId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}object
companyName
string
firstName
string
lastName
string
email
string
password
string
confirmPassword
string
countryCode
string
planId
string format: uuid
Example generated
{ "companyName": "example", "firstName": "example", "lastName": "example", "email": "example", "password": "example", "confirmPassword": "example", "countryCode": "example", "planId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}object
companyName
string
firstName
string
lastName
string
email
string
password
string
confirmPassword
string
countryCode
string
planId
string format: uuid
Example generated
{ "companyName": "example", "firstName": "example", "lastName": "example", "email": "example", "password": "example", "confirmPassword": "example", "countryCode": "example", "planId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”Created
object
tenantId
string format: uuid
tenantSlug
string
companyName
string
userEmail
string
apiKey
string
apiKeyPrefix
string
loginUrl
string
object
tenantId
string format: uuid
tenantSlug
string
companyName
string
userEmail
string
apiKey
string
apiKeyPrefix
string
loginUrl
string
Example generated
{ "tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "tenantSlug": "example", "companyName": "example", "userEmail": "example", "apiKey": "example", "apiKeyPrefix": "example", "loginUrl": "example"}object
tenantId
string format: uuid
tenantSlug
string
companyName
string
userEmail
string
apiKey
string
apiKeyPrefix
string
loginUrl
string
Example generated
{ "tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "tenantSlug": "example", "companyName": "example", "userEmail": "example", "apiKey": "example", "apiKeyPrefix": "example", "loginUrl": "example"}Bad Request
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Unprocessable Entity
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}